-- Engine Class and Constants definition file
-- Not used yet
-- Requires 'core.lua'

-- Engine constants
Engine = {sleepEpsilon = 0.3}
Engine.GRAVITY = Vector2d:new(0,-9.81)
Engine.UP = Vector2d:new(0,1)
Engine.RIGHT = Vector2d:new(1,0)
Engine.HIGH_GRAVITY = Vector2d:new(0,-19.62)
Engine.X = Vector2d:new(1,0)
Engine.Y = Vector2d:new(0,1)

-- Inits engine instance
function Engine:init()
	local e = {}
	self.__index = self
	return e
end

-- Sets self SleepEpsilon value
function Engine:setSleepEpsilon(e)
self.sleepEpsilon = e
end

-- Gets self SleepEpsilon value
function Engine:getSleepEpsilon()
	return self.sleepEpsilon
end







