pfgen = {list = {}}

function pfgen:new(v)
	local fgen = {vector = Vector2d:new(v.x or 0,v.y or 0),track = #self.list+1}
	self.__index = self
	table.insert(pfgen.list,fgen)
	return setmetatable(fgen,self)
end

function pfgen:updateForce(pid,t)  end


pfregistry = {
				registry = {},
			 }
			 
function pfregistry:new()
	self.__index = self
	return setmetatable({registry = {}},self)
end

function pfregistry:add(fg,...)
	local pfgenid = fg.track
	local plist = {}
		for k in ipairs(arg) do table.insert(plist,arg.track) end
	if #self.registry > 0 then
	--print('adding force ',pfgenid,'in registry for particles',unpack(arg))	
		for _,record in ipairs(self.registry) do
			if record.fgenid == pfgenid then
			table.insert(record,{fgenid = pfgenid,pid = {unpack(plist)}})
			else
			table.insert(self.registry,{fgenid = pfgenid,pid = {unpack(plist)}})
			end
		end
	else
	table.insert(self.registry,{fgenid = pfgenid,pid = {unpack(plist)}})
	end
end

function pfregistry:remove(pfgenid)
local p = false
	for _,record in ipairs(self.registry) do
		if record.fgenid == pfgenid then
		p = _
		break
		end
	end
	if p then table.remove(self.registry,p) end
end

function pfregistry:clear()
	self.registry = {}
end

function pfregistry:updateForces(t)
	for _,record in ipairs(self.registry) do
		--for k,v in pairs(record) do print(k,v) end
		print(type(record.pid),#record.pid)
		for k,id in ipairs(record.pid) do
			
		--print('updating force ',record.fgenid,'on particle ',unpack(record.pid))
		--pfgen.list[record.fgenid]:updateForce(id,t)
		end
	end
end


--Gravity Force Generator
GRAVITY = pfgen:new {0,0.01}
function GRAVITY:updateForce(pid,t)	
	print('updating gravity',pid,t)
	if Particle and Particle.list[pid]:hasFiniteMass() then
	local f = Vector2d:new(self.vector.x,self.vector.y)
	f:scale(Particle.list[pid]:getMass())
	print('mass ',Particle.list[pid]:getMass(),'force xy',f.x,f.y)
	Particle.list[pid]:addForce(f)
	end
end







